NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Display::PointCloudClippingBoxesListItemBuilder Class Reference

Represents a NXOpen::Display::PointCloudClippingBoxesListItemBuilder to create clipping regions for NXOpen::Display::PointCloud . More...

Inheritance diagram for NXOpen::Display::PointCloudClippingBoxesListItemBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ClippingSides { ClippingSidesInside, ClippingSidesOutside, ClippingSidesNone }
 Specifies clipping side options used for defined clipping box. More...
 

Public Member Functions

NXOpen::PointClippingEndPoint ()
 Returns the end point of the clipping box diagonal
Created in NX11.0.0. More...
 
NXOpen::Display::PointCloudClippingBoxesListItemBuilder::ClippingSides ClippingSide ()
 Returns the clipping side of the defined clipping box
Created in NX11.0.0. More...
 
NXOpen::PointClippingStartPoint ()
 Returns the start point of the clipping box diagonal. More...
 
NXOpen::Matrix3x3 Orientation ()
 Returns the orientation of clipping box
Created in NX12.0.0. More...
 
void SetClippingEndPoint (NXOpen::Point *clippingEndPoint)
 Sets the end point of the clipping box diagonal
Created in NX11.0.0. More...
 
void SetClippingSide (NXOpen::Display::PointCloudClippingBoxesListItemBuilder::ClippingSides clippingSide)
 Sets the clipping side of the defined clipping box
Created in NX11.0.0. More...
 
void SetClippingStartPoint (NXOpen::Point *clippingStartPoint)
 Sets the start point of the clipping box diagonal. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Display::PointCloudClippingBoxesListItemBuilder to create clipping regions for NXOpen::Display::PointCloud .


To create a new instance of this class, use NXOpen::Display::PointCloudBuilder::CreateClippingBoxesListItemBuilder

Created in NX11.0.0.

Member Enumeration Documentation

Specifies clipping side options used for defined clipping box.

Enumerator
ClippingSidesInside 

inside

ClippingSidesOutside 

outside

ClippingSidesNone 

none

Member Function Documentation

NXOpen::Point* NXOpen::Display::PointCloudClippingBoxesListItemBuilder::ClippingEndPoint ( )

Returns the end point of the clipping box diagonal
Created in NX11.0.0.



License requirements : None

NXOpen::Display::PointCloudClippingBoxesListItemBuilder::ClippingSides NXOpen::Display::PointCloudClippingBoxesListItemBuilder::ClippingSide ( )

Returns the clipping side of the defined clipping box
Created in NX11.0.0.



License requirements : None

NXOpen::Point* NXOpen::Display::PointCloudClippingBoxesListItemBuilder::ClippingStartPoint ( )

Returns the start point of the clipping box diagonal.


Created in NX11.0.0.

License requirements : None

NXOpen::Matrix3x3 NXOpen::Display::PointCloudClippingBoxesListItemBuilder::Orientation ( )

Returns the orientation of clipping box
Created in NX12.0.0.



License requirements : None

void NXOpen::Display::PointCloudClippingBoxesListItemBuilder::SetClippingEndPoint ( NXOpen::Point clippingEndPoint)

Sets the end point of the clipping box diagonal
Created in NX11.0.0.



License requirements : nx_point_cloud_view ("NX Point Cloud Viewer")

Parameters
clippingEndPointclippingendpoint
void NXOpen::Display::PointCloudClippingBoxesListItemBuilder::SetClippingSide ( NXOpen::Display::PointCloudClippingBoxesListItemBuilder::ClippingSides  clippingSide)

Sets the clipping side of the defined clipping box
Created in NX11.0.0.



License requirements : nx_point_cloud_view ("NX Point Cloud Viewer")

Parameters
clippingSideclippingside
void NXOpen::Display::PointCloudClippingBoxesListItemBuilder::SetClippingStartPoint ( NXOpen::Point clippingStartPoint)

Sets the start point of the clipping box diagonal.


Created in NX11.0.0.

License requirements : nx_point_cloud_view ("NX Point Cloud Viewer")

Parameters
clippingStartPointclippingstartpoint
virtual bool NXOpen::Display::PointCloudClippingBoxesListItemBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.